package app.furmeet.events.system.helper

import java.io.File

class FileObserverCompatCallable(filename: String, private val runnable: (Int, String?) -> Unit) : FileObserverCompat(filename) {
    constructor(file: File, runnable: (Int, String?) -> Unit) : this(file.absoluteFile.absolutePath, runnable)

    override fun onEvent(event: Int, path: String?) = runnable(event, path)
}